org.apache.commons.math3.optimization.univariate

## Interface UnivariateOptimizer

All Superinterfaces:
  BaseOptimizer<UnivariatePointValuePair>, BaseUnivariateOptimizer<UnivariateFunction>

All Known Implementing Classes:
  BaseAbstractUnivariateOptimizer, BrentOptimizer, PowellOptimizer.LineSearch

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public interface UnivariateOptimizer
    extends BaseUnivariateOptimizer<UnivariateFunction>

Interface for univariate optimization algorithms.

Since:
  3.0
Version:
  $Id: UnivariateOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

### Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.univariate.BaseUnivariateOptimizer

`optimize, optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`